Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class MultiUserDesigner

    java.lang.Object
      jet.api.API
          jet.api.Designer
              jet.api.MultiUserDesigner

    public class MultiUserDesigner

extends Designer

Designer class provides a series of editing methods for users. By building a Designer instance in Java program, users can edit report by API methods.

Field Summary

Fields inherited from class jet.api.Designer
`ARC, AREA_ARRAY_2D, AREA_ARRAY_3D, AREA_PERCENT_2D, AREA_PERCENT_3D, AREA_STACK_2D, AREA_STACK_3D, AREACHART, BANDEDOBJECT, BANDEDOBJECT_FOOTER, BANDEDOBJECT_HEADER, BANDEDOBJECT_PAGEFOOTER, BANDEDOBJECT_PAGEHEADER, BAR_ARRAY_3D, BAR_PERCENT_2D, BAR_PERCENT_3D, BAR_PERCENT_AREA_STACK_2D, BAR_PERCENT_LINE_ARRAY_2D, BAR_PERCENT_LINE_STACK_2D, BAR_SIDEBYSIDE_2D, BAR_SIDEBYSIDE_3D, BAR_SIDEBYSIDE_AREA_STACK_2D, BAR_SIDEBYSIDE_LINE_ARRAY_2D, BAR_SIDEBYSIDE_LINE_STACK_2D, BAR_STACK_2D, BAR_STACK_3D, BAR_STACK_AREA_STACK_2D, BAR_STACK_LINE_ARRAY_2D, BAR_STACK_LINE_STACK_2D, BARCHART, BARCODEFIELD, BENCH_ARRAY_3D, BENCH_PERCENT_2D, BENCH_PERCENT_3D, BENCH_SIDEBYSIDE_2D, BENCH_SIDEBYSIDE_3D, BENCH_STACK_2D, BENCH_STACK_3D, BENCHARRAYCHART, BENCHCHART, BOX, BUBBLE_2D, CENTERBOTTOM, CENTERCENTER, CENTERTOP, CHART2DCOORDINATEPAPER, CHARTCOORDINATEPAPER, CHARTLABEL, CHARTLEGEND, CHARTPLATFORM, CODABAR, CODE_128, CODE_39, COLUMN, COMPUTEDCOLUMN, CROSSTAB, CTAGGFIELD, CTAGGINFO, CTDBFIELD, CTHDDBFIELD, CTHDTEXTFIELD, DATAOBJECT, DATASET, DATASET_TYPE_HDS, DATASET_TYPE_ONDEMAND, DATASET_TYPE_QUERY, DBFIELD, DETAIL, EAN_13, EAN_8, EFFECT_2D, EFFECT_3D, EFFECT_MASK, FETCHDATE, FETCHTIME, FORMULA, GAUGE_BALLS_2D, GAUGE_BARS_2D, GAUGE_DIALS_2D, GROUP, GROUPFOOTER, GROUPHEADER, GROUPNAME, GROUPNUMBER, GROUPNUMBERS, IMAGE, JBROWSER, JHYPERLINK, JUSTIFYBOTTOM, JUSTIFYCENTER, JUSTIFYTOP, LABEL, LEFT, LEFT_UNDERSIDE_POINT, LEFT_UPSIDE_POINT, LEFTBOTTOM, LEFTCENTER, LEFTTOP, LINE, LINE_ARRAY_2D, LINE_ARRAY_3D, LINE_ARRAY_LINE_ARRAY_2D, LINE_PERCENT_2D, LINE_STACK_2D, LINECHART, MEDIAFIELD, MODIFIEDDATE, MODIFIEDTIME, MULTI_VALUE_BOX, NEWSTYLETABLE, OVAL, PAGE, PAGEBREAK, PAGEEND, PAGEFOOTER, PAGEHEADER, PAGENOFM, PAGENUMBER, PAGENUMBERS, PAGESTART, PARAGRAPH, PARALLELDETAIL, PARAMETER, PIE_SIDEBYSIDE_2D, PIE_SIDEBYSIDE_3D, PIECHART, PRINTDATE, PRINTTIME, RADAR_2D, RECORDNUMBER, RENDER_BARCODE, RENDER_BUTTON, RENDER_CHECKBOX, RENDER_DROPDOWNLIST, RENDER_IMAGE, RENDER_IMAGEBUTTON, RENDER_LIST, RENDER_RADIOBTN, RENDER_RANK, RENDER_RESETBUTTON, RENDER_SUBMITBUTTON, RENDER_TEXT, RENDER_TEXTAREA, RENDER_TEXTFIELD, REPORT, REPORTBODY, REPORTFOOTER, REPORTHEADER, REPORTSET, REPORTSHEET, RIGHT, RIGHT_UNDERSIDE_POINT, RIGHT_UPSIDE_POINT, RIGHTBOTTOM, RIGHTCENTER, RIGHTTOP, ROUNDBOX, RPTDATASOURCE, SCATTER_POINTS_2D, SCATTER_SMOOTH_LINES_2D, SCATTER_STRAIGHT_LINES_2D, SHAPE, SIDEBYSIDEBARCHART, SQLSTATMENT, STACKEDBARCHART, STACKEDBENCH, STOCK_HIGH_LOW_2D, STOCK_HIGH_LOW_CLOSE_2D, STOCK_OPEN_HIGH_LOW_CLOSE_2D, SUBLINK, SUBPARAMLINK, SUBREPORT, SUBRETVALUE, SUMMARY, SURFACE_3D, TABLE, TABLECELL, TABULARCELL, TEXT, TEXTBOX, UDO, UPC_A, UPC_E, USERNAME, ZORDER_BACKWARD, ZORDER_BOTTOM, ZORDER_FORWARD, ZORDER_TOP`

Fields inherited from class jet.api.API
`BOOLEAN, CAT, CENTIMETER, COLOR, DOUBLE, ENUM, FLOAT, handles, INCH, INTEGER, LONG, PIXEL, REFERENCE, RPT, SELFRPT, STRING, TEXTRPT, UNKNOWN, XMLCAT, XMLRPT`

Constructor Summary
`MultiUserDesigner(java.lang.String path, java.lang.String name)` Deprecated. since version 6.1.
`MultiUserDesigner(java.lang.String path, java.lang.String name, DesignerUserInfo user)` Constructor.

Method Summary
`java.lang.String` | `create(java.lang.String name, java.lang.String query, java.lang.String uID)` Creates a new report with report name.
`java.lang.String` | `create(java.lang.String name, java.lang.String sourceName, java.lang.String query, java.lang.String uID)` Creates a new report with report name.
`java.lang.String[]` | `getChangedByFields(java.lang.String handle, java.lang.String propertyName, java.lang.String uID)` get formulae or fields which can control the property value
`java.lang.String[]` | `getControlFields(java.lang.String handle, java.lang.String name, java.lang.String uID)` Gets fields that can control property value at runtime.
`java.lang.String[]` | `getDBFields(java.lang.String handle, java.lang.String uID)` Gets DBFields that can be used in the report.
`java.lang.String[]` | `getFormats(java.lang.String handle, java.lang.String uID)` get the default format list of object
`java.lang.String[]` | `getFormulae(java.lang.String handle, java.lang.String uID)` Gets formulae that can be used in the report.
`MultiUserCatalogAPI` | `getMultiUserCatalogAPI()` Gets catalog design api.
`java.lang.String[]` | `getParameter(java.lang.String uID)` Gets parameters in the catalog.
`java.lang.String[]` | `getQueries(java.lang.String uID)` Gets queries in the catalog.
`java.lang.String[]` | `getSummaries(java.lang.String handle, java.lang.String uID)` Gets summaries that can be used in the report.
`java.lang.String` | `insert(java.lang.String parent, java.lang.String name, boolean avoid, boolean onleft, boolean ontop, boolean repeat, boolean vertical, int boundary, CTRowColFieldInfo[] colInfo, CTRowColFieldInfo[] rowInfo, CTAggFieldInfo[] aggInfo, java.lang.String uID)` Inserts a crosstab object and its children into the parent node.
`java.lang.String` | `insert(java.lang.String parent, java.lang.String name, CTRowColFieldInfo[] colInfo, CTRowColFieldInfo[] rowInfo, CTAggFieldInfo[] aggInfo, java.lang.String uID)` Inserts a crosstab object and its children into the parent node.
`java.lang.String` | `insert(java.lang.String uID, java.lang.String parent, int type, java.lang.String name, java.lang.String mapping)` Inserts an object of database field, parameter, formula , summary or group into the parent node.
`java.lang.String` | `insert(java.lang.String parent, java.lang.String name, java.lang.String paperName, int type, java.lang.String group1, java.lang.String group2, java.lang.String value, ChartLegendInfo chartLegendInfo, ChartLabelInfo chartLabelInfo, java.lang.String uID)` Inserts a chart object and its children into the parent node.
`boolean` | `setControlFields(java.lang.String handle, java.lang.String prop, java.lang.String field, java.lang.String uID)` Sets field to control property value at runtime.

Methods inherited from class jet.api.Designer
`addDataset, addDisplayName, addDisplayName, addReport, appendTabularColumn, appendTabularRow, bindDataSet, canDeleted, canMergeTableCell, canMergeTabularCell, changeTabularCellHeight, changeTabularCellWidth, changeTabularHeight, changeTabularWidth, changeZOrder, close, closeReportSet, create, createReportSet, delete, deleteBandedObject, deleteCrossTabAggregations, deleteCrossTabColumns, deleteCrossTabRows, deleteDetailPanel, deleteGroup, deletePage, deletePageController, deleteReport, deleteReport, deleteSectionFooterPanel, deleteSectionHeaderPanel, deleteTableColumns, deleteTabularColumn, deleteTabularRow, exit, exitAndSave, getAllDisplayNames, getAllResourceNames, getCatalogAPI, getCatalogName, getChangedByFields, getChartLabel, getControlField, getControlFields, getDatasetBLFilter, getDBFields, getDisplayName, getFormats, getFormulae, getFormulas, getGeometries, getGeometries, getGroupInfo, getGroupNames, getGroups, getIndex, getKey, getMinSectionHeight, getObjectInfo, getObjectType, getParameter, getParent, getProcedures, getProcedures, getQueries, getReporthome, getReportSortInfo, getSections, getSections, getSections, getSortInfo, getSQLs, getSQLs, getSummaries, getTableWidth, getTabularCell, getTabularColumnCells, getTabularRowCells, getUDS, getUDS, getUID, getUserID, getViews, hasPageSecurity, hideTableColumn, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insertBandedObject, insertChart, insertColumn, insertCrossTab, insertCrossTabAggregations, insertCrossTabColumns, insertCrossTabRows, insertDetailPanel, insertField, insertPage, insertPageBreak, insertPageStartEnd, insertSectionFooterPanel, insertSectionGroup, insertSectionHeaderPanel, insertSectionPanel, insertShape, insertTable, insertTable, insertTableColumn, insertTableColumn, insertTableGroup, insertTabular, mergeTableCells, mergeTabularCells, moveCrossTabAggregations, moveCrossTabColumns, moveCrossTabRows, moveTableColumns, open, pivotCrossTab, pivotTable, quit, quit, removeDisplayName, removeTableGroup, resizeTable, resizeTabular, saveAs, saveSelfContainedReport, saveSelfReport, set, setControlFields, setCTAggFieldHeight, setCTAggFieldWidth, setCTAggTitleHeight, setCTAggTitleWidth, setCTColHeaderHeight, setCTRowHeaderWidth, setDataset, setDatasetBLFilter, setDefaultFormat, setPageWidth, setReporthome, setReportSortInfo, setSortInfo, setStyle, setStyle, setTableColumnWidth, setUserInfo, splitTabularCell, updateDisplayName`

Methods inherited from class jet.api.API
`clearError, clearMsg, clearWarning, closeLog, containPropName, getBool, getChildren, getColor, getDouble, getError, getFloat, getHandles, getHandles, getHandles, getHandles, getInstanceName, getInt, getLong, getPropNames, getPropType, getQualifyName, getString, getStringArray, getUnit, getWarning, set, set, set, set, set, set, setLog, setLog, setLog, setReference, setUnit, writeLog, writeLog`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiUserDesigner

    public MultiUserDesigner(java.lang.String path,
                             java.lang.String name)
                      throws ReadFailureException,
                             UniverseFileException

  Deprecated. since version 6.1.

  Constructor. Creates a Designer object. If the catalog file is not existed a default catalog is created.

  Parameters:
    `path` - path of catalog file.
    `name` - name of catalog file.
  Throws:
    `ReadFailureException`
    `UniverseFileException`

### MultiUserDesigner

    public MultiUserDesigner(java.lang.String path,
                             java.lang.String name,
                             DesignerUserInfo user)
                      throws ReadFailureException,
                             UniverseFileException

  Constructor. Creates a Designer object. If the catalog file is not existed a default catalog is created.

  Parameters:
    `path` - path of catalog file.
    `name` - name of catalog file.
    `user` - user information.
  Throws:
    `ReadFailureException`
    `UniverseFileException`
  Since:
    version 6.1.

Method Detail

### getMultiUserCatalogAPI

    public MultiUserCatalogAPI getMultiUserCatalogAPI()

  Gets catalog design api.

  Returns:
    a reference of MultiUserCatalogAPI. If fails, a null value will be returned, you can use getError() to check the error message.

### create

    public java.lang.String create(java.lang.String name,
                                   java.lang.String query,
                                   java.lang.String uID)

  Creates a new report with report name.

  Overrides:
    `create` in class `Designer`
  Parameters:
    `name` - name of the report to be created.
    `query` - name of query.
    `uID` - name of query.
  Returns:
    handle of the new created report. If fails, a null value will be returned, you can use getError() to check the error message.

### create

    public java.lang.String create(java.lang.String name,
                                   java.lang.String sourceName,
                                   java.lang.String query,
                                   java.lang.String uID)

  Creates a new report with report name.

  Parameters:
    `name` - name of the report to be created.
    `sourceName` - name of the data source.
    `query` - name of query.
  Returns:
    handle of the new created report. If fails, a null value will be returned, you can use getError() to check the error message.

### insert

    public java.lang.String insert(java.lang.String uID,
                                   java.lang.String parent,
                                   int type,
                                   java.lang.String name,
                                   java.lang.String mapping)

  Inserts an object of database field, parameter, formula , summary or group into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `type` - class type to be inserted.
    `name` - instance name of the new object.
    `mapping` - mapping name of the database field, parameter, formula or summary.
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   java.lang.String name,
                                   java.lang.String paperName,
                                   int type,
                                   java.lang.String group1,
                                   java.lang.String group2,
                                   java.lang.String value,
                                   ChartLegendInfo chartLegendInfo,
                                   ChartLabelInfo chartLabelInfo,
                                   java.lang.String uID)

  Inserts a chart object and its children into the parent node.

  Parameters:
    `parent` - handle of the parnet node.
    `name` - instance name of the new chart.
    `paperName` - the instance name of ChartCoordinatepaper object
    `type` - type of the chart to be inserted
    `group1` - mapping name of the first group.
    `group2` - mapping name of the second group. It can be null.
    `value` - mapping name of summary.
    `chartLegendInfo` - field info array of the chart legend.
    `chartLabelInfo` - field info array of the chart title and notes.
  Returns:
    handle of the new inserted chart. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   java.lang.String name,
                                   CTRowColFieldInfo[] colInfo,
                                   CTRowColFieldInfo[] rowInfo,
                                   CTAggFieldInfo[] aggInfo,
                                   java.lang.String uID)

  Inserts a crosstab object and its children into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `name` - instance name of the new object.
    `colInfo` - field info array of column. The value of index of colInfo[n] is ignored.
    `rowInfo` - field info array of row. The value of index of rowInfo[n] is ignored.
    `aggInfo` - field info array of aggregate. The value of index of aggInfo[n] is ignored.
  Returns:
    handle of the new inserted crosstab. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   java.lang.String name,
                                   boolean avoid,
                                   boolean onleft,
                                   boolean ontop,
                                   boolean repeat,
                                   boolean vertical,
                                   int boundary,
                                   CTRowColFieldInfo[] colInfo,
                                   CTRowColFieldInfo[] rowInfo,
                                   CTAggFieldInfo[] aggInfo,
                                   java.lang.String uID)

  Inserts a crosstab object and its children into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `name` - instance name of the new object.
    `avoid` - keep columns together when page break.
    `onleft` - display aggregate calculation of row on left of crosstab
    `ontop` - display aggregate calculation of column on top of crosstab
    `repeat` - repeat column title when page break
    `vertical` - set aggregate calculations layout vertically
    `boundary` - set number of aggregate calculations in a row or column.
    `colInfo` - field info array of column. The value of index of colInfo[n] is ignored.
    `rowInfo` - field info array of row. The value of index of rowInfo[n] is ignored.
    `aggInfo` - field info array of aggregate. The value of index of aggInfo[n] is ignored.
    `uID` - user identify number
  Returns:
    handle of the new inserted crosstab. If fails, a null value will be returned.

### getDBFields

    public java.lang.String[] getDBFields(java.lang.String handle,
                                          java.lang.String uID)

  Gets DBFields that can be used in the report.

  Parameters:
    `handle` - report node .
  Returns:
    mapping name arrray.

### getFormulae

    public java.lang.String[] getFormulae(java.lang.String handle,
                                          java.lang.String uID)

  Gets formulae that can be used in the report.

  Parameters:
    `handle` - report node.
  Returns:
    mapping name arrray.

### getSummaries

    public java.lang.String[] getSummaries(java.lang.String handle,
                                           java.lang.String uID)

  Gets summaries that can be used in the report.

  Parameters:
    `handle` - report node.
  Returns:
    mapping name array.

### getParameter

    public java.lang.String[] getParameter(java.lang.String uID)

  Gets parameters in the catalog.

  Returns:
    mapping name array.

### getQueries

    public java.lang.String[] getQueries(java.lang.String uID)

  Gets queries in the catalog.

  Overrides:
    `getQueries` in class `Designer`
  Returns:
    mapping name array.

### getFormats

    public java.lang.String[] getFormats(java.lang.String handle,
                                         java.lang.String uID)

  get the default format list of object

  Parameters:
    `handle` - object handle
    `uID` - User ID
  Returns:
    String array of formats

### getChangedByFields

    public java.lang.String[] getChangedByFields(java.lang.String handle,
                                                 java.lang.String propertyName,
                                                 java.lang.String uID)

  get formulae or fields which can control the property value

  Parameters:
    `handle` - handle of the entity
    `propertyName` - name of the property
    `uID` - User ID
  Returns:
    name array of formulae and fields.

### getControlFields

    public java.lang.String[] getControlFields(java.lang.String handle,
                                               java.lang.String name,
                                               java.lang.String uID)

  Gets fields that can control property value at runtime.

  Parameters:
    `handle` - handle of the selected object.
    `name` - name of property.
  Returns:
    field name array. It will return null if an error occurs.

### setControlFields

    public boolean setControlFields(java.lang.String handle,
                                    java.lang.String prop,
                                    java.lang.String field,
                                    java.lang.String uID)

  Sets field to control property value at runtime.

  Parameters:
    `handle` - handle of the selected object.
    `prop` - property name.
    `field` - field name.
  Returns:
    true if succeeds. Otherwise returns false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD